
Redmine - Feature #6153

Move view_calendar and view_gantt to own modules

2010-08-17 13:21 - Holger Just

Status: Closed Start date: 2010-08-17

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Projects Estimated time: 0.00 hour

Target version: 1.0.1   

Resolution: Fixed   

Description

In r3943 and r3944, Eric added the gantt chart and calendar view as tabs to the project menu.

While this change makes both much more visible, it also some of the scarce "tab-space" on small-to-medium sized screens.

Especially, if it is not really used for most projects. To allow to enable / disable the calendar and gantt view per project, please move

the permissions to their own respective modules.

Also, I think, these tabs belong near the activity tab, as they are often used to get a project overview. So it would be great to move

these tabs directly to the right of the activity tab.

Associated revisions

Revision 4013 - 2010-08-22 20:42 - Eric Davis

Treat Calendar and Gantt pages as separate modules. #6153

This will let the Issue Tracking, Gantt, and Calendar modules be enabled

or disabled as needed.  A database migration will enable the Gantt and

Calendar for all existing projects that have Issue Tracking enabled.

Contributed by Adam Soltys

Revision 4036 - 2010-08-23 21:39 - Azamat Hackimov

Adding missed new strings for #6153:

project_module_gantt: Gantt

project_module_calendar: Calendar

History

#1 - 2010-08-18 01:41 - Eric Davis

Putting them into their own modules is a good idea.

#2 - 2010-08-18 18:04 - Adam Soltys

I may try to tackle this one.  Can someone add me to this site as a contributor so I can assign myself tickets?

#3 - 2010-08-19 07:12 - Adam Soltys

- File calendar_and_gantt_as_modules.diff added

- Assignee set to Eric Davis

I think I've got it working.  Patch attached.  Github branch: http://github.com/asoltys/redmine/tree/calendar_and_gantt_as_modules

Eric, I sent you a pull request.  Couldn't add you as a watcher to this issue so I'll just assign it to you instead.

#4 - 2010-08-19 16:56 - Eric Davis

- Status changed from New to 7

- Target version set to 1.0.1

We'll also need a migration to add these two modules for every project that had issues tracking on.
https://www.redmine.org/projects/redmine/repository/svn/revisions/3943
https://www.redmine.org/projects/redmine/repository/svn/revisions/3944
http://github.com/asoltys/redmine/tree/calendar_and_gantt_as_modules


#5 - 2010-08-19 23:03 - Adam Soltys

- File calendar_and_gantt_as_modules.diff added

Whoops, I had actually thought of that and written the migration but my db/ folder was gitignore'd.  I figured this out by rm'ing the file to see if git would

recognize it as missing.  When it didn't, I clued in that it was ignored, and that I'd just rm'ed the migration, with no way to restore it! lol!

Anyways, here it is again, with the migration included.

#6 - 2010-08-22 20:40 - Eric Davis

- Category set to Projects

- Status changed from 7 to Resolved

- % Done changed from 0 to 100

- Resolution set to Fixed

Applied Adam Soltys's patched from Github.  Thanks for the contributions, I really like having these as separate modules. (r4013)

#7 - 2010-08-22 21:47 - Eric Davis

Merged to 1.0-stable.

#8 - 2010-08-22 21:48 - Eric Davis

- Status changed from Resolved to Closed

#9 - 2010-08-23 21:44 - Azamat Hackimov

There missed two translation strings for new modules:

project_module_gantt: Gantt

project_module_calendar: Calendar

Fixed in r4036.

Files

calendar_and_gantt_as_modules.diff 3.2 KB 2010-08-19 Adam Soltys

calendar_and_gantt_as_modules.diff 3.97 KB 2010-08-19 Adam Soltys
